/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

 /*
 * ListarClientes.java
 *
 * Created on 08-nov-2014, 19:50:55
 */
package vista;

import Formularios.MarcacionHuella1;
import Formularios.RegistrarHuella;
import conexion.CADO;
import java.sql.ResultSet;
import java.util.Vector;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;

/**
 *
 * @author Cabina18
 */
public class ListarClientes extends javax.swing.JFrame {

    int idsedelogin;

    /**
     * Creates new form ListarClientes
     */
    public ListarClientes(int idsede) {
        initComponents();
        idsedelogin = idsede;
        listarclientes();
        jButton1.setEnabled(false);

        //Onomastico on=new Onomastico();
        //on.setVisible(true);
    }
    CADO cd = new CADO();
    int totalclientes;

    //usuario_bean user;
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        btnModificar = new javax.swing.JButton();
        btnCerrar = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        tblClientes = new javax.swing.JTable();
        txtBuscar = new javax.swing.JTextField();
        btnBuscar = new javax.swing.JButton();
        jScrollPane2 = new javax.swing.JScrollPane();
        txtTotal = new javax.swing.JTextPane();
        jButton1 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Lista de Clientes");

        jLabel1.setFont(new java.awt.Font("Calibri", 1, 24)); // NOI18N
        jLabel1.setText("                                                      LISTA DE CLIENTES");

        btnModificar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/ModificarUsuario.png"))); // NOI18N
        btnModificar.setText("MODIFICAR");
        btnModificar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnModificarActionPerformed(evt);
            }
        });

        btnCerrar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/Cerrar.png"))); // NOI18N
        btnCerrar.setText("CERRAR");
        btnCerrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCerrarActionPerformed(evt);
            }
        });

        tblClientes.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {

            }
        ));
        jScrollPane1.setViewportView(tblClientes);

        txtBuscar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtBuscarActionPerformed(evt);
            }
        });
        txtBuscar.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyPressed(java.awt.event.KeyEvent evt) {
                txtBuscarKeyPressed(evt);
            }
        });

        btnBuscar.setText("Buscar");
        btnBuscar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnBuscarActionPerformed(evt);
            }
        });

        txtTotal.setEditable(false);
        jScrollPane2.setViewportView(txtTotal);

        jButton1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/visto.png"))); // NOI18N
        jButton1.setText("ASISTENCIA");
        jButton1.setMaximumSize(new java.awt.Dimension(127, 41));
        jButton1.setMinimumSize(new java.awt.Dimension(127, 41));
        jButton1.setPreferredSize(new java.awt.Dimension(127, 41));
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, 721, Short.MAX_VALUE)
                        .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                            .addGap(0, 0, Short.MAX_VALUE)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                    .addComponent(txtBuscar, javax.swing.GroupLayout.PREFERRED_SIZE, 202, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addGap(18, 18, 18)
                                    .addComponent(btnBuscar)
                                    .addGap(18, 18, 18)
                                    .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 159, javax.swing.GroupLayout.PREFERRED_SIZE))
                                .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                                    .addComponent(btnModificar)
                                    .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                    .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 138, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                    .addComponent(btnCerrar)
                                    .addGap(172, 172, 172)))))
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 702, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(22, 22, 22))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(21, 21, 21)
                .addComponent(jLabel1)
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(txtBuscar, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(btnBuscar))
                    .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 293, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(btnModificar)
                    .addComponent(btnCerrar)
                    .addComponent(jButton1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addGap(20, 20, 20))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnCerrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCerrarActionPerformed
        // TODO add your handling code here:
        this.dispose();
    }//GEN-LAST:event_btnCerrarActionPerformed

    private void btnModificarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnModificarActionPerformed
        // TODO add your handling code here:
        if (tblClientes.getSelectedRow() != -1) {
            int idpersona = Integer.parseInt(tblClientes.getModel().getValueAt(tblClientes.getSelectedRow(), 0).toString());
            RegistrarHuella frm = new RegistrarHuella(idpersona);
            frm.setVisible(true);
            this.dispose();

        } else {
            JOptionPane.showMessageDialog(null, "Seleccione un cliente", "Mensaje del Sistema", JOptionPane.WARNING_MESSAGE);
        }
    }//GEN-LAST:event_btnModificarActionPerformed

    private void btnBuscarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnBuscarActionPerformed
        // TODO add your handling code here:
        listarclientes();
    }//GEN-LAST:event_btnBuscarActionPerformed

    private void txtBuscarKeyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_txtBuscarKeyPressed
        // TODO add your handling code here:
        listarclientes();
    }//GEN-LAST:event_txtBuscarKeyPressed

    private void txtBuscarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtBuscarActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtBuscarActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        // TODO add your handling code here:
        /*if (tblClientes.getSelectedRow() != -1) {
            int idpersona = Integer.parseInt(tblClientes.getModel().getValueAt(tblClientes.getSelectedRow(), 0).toString());
            MarcacionHuella1 frm = new MarcacionHuella1(idpersona, idsedelogin);
            frm.setVisible(true);
            this.dispose();

        } else {
            JOptionPane.showMessageDialog(null, "Seleccione un cliente", "Mensaje del Sistema", JOptionPane.WARNING_MESSAGE);
        }*/
    }//GEN-LAST:event_jButton1ActionPerformed

    public void listarclientes() {
        totalclientes = 0;
        String buscar = this.txtBuscar.getText();

        String sql = "";
        if (buscar != null && !buscar.equals("")) {
            sql = "SELECT cliente.id,CONCAT(persona.apellidos,' ',persona.nombres) as ApellidosNombres, "
                    + "persona.dni, cliente.huella, cliente.nacimiento  FROM persona "
                    + "join cliente on cliente.persona_id=persona.id where cliente.estado='N' and cliente.idsede='" + idsedelogin + "' "
                    + "and CONCAT(persona.apellidos,' ',persona.nombres) like '%" + buscar + "%' "
                    + "order by persona.apellidos asc";
        } else {
            sql = "SELECT cliente.id,CONCAT(persona.apellidos,' ',persona.nombres) as ApellidosNombres, "
                    + "persona.dni, cliente.huella, cliente.nacimiento  FROM persona "
                    + "join cliente on cliente.persona_id=persona.id where cliente.estado='N' and cliente.idsede='" + idsedelogin + "' "
                    + "order by persona.apellidos asc";
        }

        ResultSet rs = cd.consultaconresp(sql);
        DefaultTableModel dt = new DefaultTableModel();
        dt.addColumn("ID");
        dt.addColumn("Cliente");
        dt.addColumn("dni");
        dt.addColumn("Huella");
        dt.addColumn("Nacimiento");

        try {

            while (rs.next()) {
                Vector vFila = new Vector();
                vFila.addElement(rs.getInt(1));
                vFila.addElement(rs.getString(2));
                vFila.addElement(rs.getString(3));
                if (rs.getString(4) != null) {
                    vFila.addElement("SI");
                    totalclientes++;
                } else {
                    vFila.addElement("NO");
                }
                if (rs.getString(5) != null) {
                    vFila.addElement("" + rs.getString(5).substring(8, 10) + "/" + rs.getString(5).substring(5, 7) + "/" + rs.getString(5).substring(0, 4));
                } else {
                    vFila.addElement("");
                }

                dt.addRow(vFila);

            }
//

            this.tblClientes.setModel(dt);
            this.txtTotal.setText("Tienen Huella " + totalclientes + " clientes");
        } catch (Exception e) {
            System.out.println("error: " + e.getMessage());
        }

    }
    /**
     * @param args the command line arguments
     */
//    public static void main(String args[]) {
//        java.awt.EventQueue.invokeLater(new Runnable() {
//            public void run() {
//                try {
//                    new ListarClientes().setVisible(true);
//                } catch (SQLException ex) {
//                    Logger.getLogger(ListarClientes.class.getName()).log(Level.SEVERE, null, ex);
//                }
//            }
//        });
//    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnBuscar;
    private javax.swing.JButton btnCerrar;
    private javax.swing.JButton btnModificar;
    private javax.swing.JButton jButton1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTable tblClientes;
    private javax.swing.JTextField txtBuscar;
    private javax.swing.JTextPane txtTotal;
    // End of variables declaration//GEN-END:variables

}
